脳内まとめ

なにかのお役に立てれば、、、

警告:「Not targeting the latest versions of Android; compatibility modes apply. Consider testing and updating this version. Consult the android.os.Build.VERSION_CODES javadoc for details」について

マニフェストファイルのuses-sdkのtargetSdkVersionをチェックする。

    <uses-sdk
        android:minSdkVersion="8"
        android:targetSdkVersion="17" />